[ 解決済 ] VkCssOptimize.php on line 391でPHP Warningが発生

VWSとは フォーラム All in One Expansion Unit [ 解決済 ] VkCssOptimize.php on line 391でPHP Warningが発生

[ 解決済 ] VkCssOptimize.php on line 391でPHP Warningが発生

タグ: 

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • 投稿者
    投稿
  • #84608

    ■ WordPress のバージョン
    6.4.3

    ■ テーマ・プラグインは全て最新版で確認してください。
    確認しました。

    ■ 子テーマをご利用の場合は親テーマに変更して症状が改善するか確認してください。
    確認しました。

    ■ テーマの種類
    Lightning ( G3 ) + Lightning G3 Pro Unit

    ■ テーマのバージョン
    Lightning バージョン: 15.19.1

    ■ Pro Unit のバージョン
    バージョン 0.26.4

    ■ スキンの種類
    Evergreen

    ■ スキンのバージョン
    0.2.5

    ■ 関連しそうなプラグインを一つづつ停止して症状が改善するか確認してください。
    確認しました。

    ■ プラグインの種類・バージョン
    過去ログで、1年近く前に同じファイルでエラーが出ている種の質問がありましたが、行数が違うので別物かもしれません。

    Apacheのログに、数分〜数十分に1回程度次のようなwarningが出ます。

    [Fri Feb 02 18:48:38.948946 2024] [proxy_fcgi:error] [pid 74687] [client 34.145.165.227:40960] AH01071: Got error ‘PHP message: PHP Warning: Undefined array key “vk-swiper-style” in /data/home/xxx/public/xxx/wp-content/plugins/vk-all-in-one-expansion-unit/vendor/vektor-inc/vk-css-optimize/src/VkCssOptimize.php on line 391’

    今のところ動作に問題等があるわけではないのですが、何が原因かわかりますでしょうか。

    Apacheは2.4.55 PHPは8.1.12です。

    ■ 期待する動作
    warningの解消

    ■ 自分で試した事
    Apacheのログを検索したところ、少なくとも今年の1月20日には発生しています。

    ■ 症状が発生するブラウザ
    warningが発生する部分にはブラウザへの依存はないと思われます。

    ■ 実際の症状
    表示等に問題はありません。ログにwarningが記録され続けているのみです。


    該当URL : https://*********

    ※該当URLはフォーラムライセンスが有効のユーザーにのみ表示されます

    #85661

    石川@Vektor,Inc.
    キーマスター

    お世話になっております。ベクトルの石川でございます。
    弊社環境で該当の Warrning は出せなかったのですが、原因と思われる箇所を修正し、
    以下のプロダクトに反映いたしましたので、アップデートの上ご確認くださいませ。

    ExUnit 9.94.2.0
    Lightning 15.20.0
    VK Blocks / VK Blocks Pro 1.69.0

    https://github.com/vektor-inc/vk-css-optimize/pull/15

    #85747

    ご対応ありがとうございます。
    今日1日確認してみましたが、warningは出なくなりました。
    早速のご対応、ありかとうございました。

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • このトピックに返信するにはログインが必要です。